Skip to main content
PUT
/
v1
/
qualityProfiles
/
{uid}
Update Quality Profile
curl --request PUT \
  --url https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "name": "Marketing Content Profile",
  "aiCheckUids": [
    "6804a3f2e1b2c3d4e5f60789",
    "6804a3f2e1b2c3d4e5f6078a",
    "6804a3f2e1b2c3d4e5f6078b"
  ]
}
'
{
  "uid": "6804b1c2d3e4f5a6b7c80123",
  "name": "Marketing Content Profile",
  "aiChecks": [
    {
      "uid": "6804a3f2e1b2c3d4e5f60789",
      "name": "No Yoda Speech",
      "qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
    },
    {
      "uid": "6804a3f2e1b2c3d4e5f6078a",
      "name": "Formal Register",
      "qualityRequirements": "The translation must use formal language and avoid colloquialisms."
    },
    {
      "uid": "6804a3f2e1b2c3d4e5f6078b",
      "name": "Brand Terminology",
      "qualityRequirements": "The translation must use approved brand terminology as defined in the glossary."
    }
  ],
  "createdDate": "2024-01-15T10:30:00Z",
  "lastModifiedDate": "2024-03-20T14:45:00Z",
  "createdByUid": "6804c9d0e1f2a3b4c5d60456"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.

Headers

Content-Type
string
required
Example:

"application/json"

Path Parameters

uid
string
required

Unique identifier of the Quality Profile.

Example:

"6804b1c2d3e4f5a6b7c80123"

Body

application/json
name
string
required

Display name for the Quality Profile.

Example:

"Marketing Content Profile"

aiCheckUids
string[]
required

UIDs of AI Checks to include in this profile. Maximum 3 items.

Maximum array length: 3

Response

Quality Profile updated successfully.

uid
string
required
Example:

"6804b1c2d3e4f5a6b7c80123"

name
string
required
Example:

"Marketing Content Profile"

createdDate
string<date-time>
required
Example:

"2024-01-15T10:30:00Z"

createdByUid
string
required
Example:

"6804c9d0e1f2a3b4c5d60456"

aiChecks
object[]
lastModifiedDate
string<date-time>
Example:

"2024-03-20T14:45:00Z"